Export calls (CSV)
curl --request GET \
--url https://api.agents.slng.ai/v1/agents/{agent_id}/calls/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agents.slng.ai/v1/agents/{agent_id}/calls/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agents.slng.ai/v1/agents/{agent_id}/calls/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": "Authentication is required for this endpoint."
}{
"detail": "You do not have access to this resource."
}{
"detail": "The requested resource was not found."
}{
"detail": [
{
"loc": [
"body",
"language"
],
"msg": "Input should be a valid string",
"type": "string_type"
}
]
}{
"detail": "An unexpected internal error occurred."
}Calls
Export calls (CSV)
Export calls for a voice agent as a CSV file download. Supports the same filters as the call list. The export is not paginated; all matching calls are streamed.
GET
/
v1
/
agents
/
{agent_id}
/
calls
/
export
Export calls (CSV)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Voice agent ID.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Filter calls by status.
Available options:
dispatching, dispatched, in_progress, completed, failed Filter calls by call direction.
Available options:
inbound, outbound, web Filter calls by call_started_at, falling back to created_at, from this time.
Filter calls by call_started_at, falling back to created_at, until this time.
Filter calls by duration bucket.
Available options:
none, under_1_min, 1_to_5_min, over_5_min Response
CSV export.
The response is of type string.
Was this page helpful?
⌘I